ニュース

Voice Android SDK の TLS 1.0/1.1 のサポート終了について

2020.10.06

  • お知らせ

平素より Twilio をご利用いただきありがとうございます。

Twilio Programmable Voice SDK for Android ( 以下 Voice Android SDK ) の TLS 1.0/1.1 のサポートが、日本時間 2020年12月14日 ( 太平洋時間 15日)に終了いたします。TLS 1.2 に対応していない Android アプリはアップデートをお願いいたします。

TLS 1.0/1.1 のサポートを終了する理由

TLS 1.0/1.1 には脆弱性が報告されており、安全ではありません。
このためTwilioでは日本時間 の2020年12月14日以降、TLS 1.0/1.1 での通信を遮断し、 TLS 1.2 の接続のみを受け付けるよう変更いたします。

なお、REST API については2019年6月に TLS 1.0/1.1 のサポートが終了しており、すでに TLS 1.2 のみの接続となっています。詳しくは こちらをご確認ください。

お客様にご対応いただくこと

Android 5.0 ( API level 21 ) 以上のデバイスのみをサポートしているアプリケーションの場合は、必要な対応はありません。

Android 4.4 ( API Level 19 ) 以下のデバイスもサポートしているアプリケーションの場合は、 HttpsURLConnection を利用している可能性があります。これは TLS 1.2 に対応していないため、minSdkVersion に 21 以上を指定し、TLS 1.2 に対応するよう変更をお願いいたします。
また、日本時間 2020年12月14日までにアプリを Google Play へリリースし、エンドユーザにアップデートしていただく必要があります。

その他の Voice Android SDK の情報は下記をご参照ください。
https://www.twilio.com/docs/voice/voip-sdk/android/3x-changelog

Share!!

  • お役立ち情報
  • イベント情報
  • 相談会申込
  • 導入事例